<template>
    <v-row no-gutters class="settings">
        <v-col
            md="10"
            offset-md="1"
            sm="12"
            offset-sm="0">
            <h1>Settings</h1>

            <h2>Node Details</h2>
            <div v-if="state.ipfs">
                <qrcode :value="ipfsInfo.id" :options="{ width: 200 }"></qrcode>
                <div>id: {{ipfsInfo.id}}</div>
                <div>Public Key: {{ipfsInfo.publicKey}}</div>
                <div>Addresses: {{ipfsInfo.addresses}}</div>
            </div>
        </v-col>
    </v-row>
</template>

<script>
import Vue from 'vue';
import VueQrcode from '@chenfengyuan/vue-qrcode'

Vue.component(VueQrcode.name, VueQrcode);

export default {
    name: 'settings',
    props: {
        state: Object
    },
    data: function () {
        return {
            ipfsInfo: null
        }
    },
    computed: {
        stateLoaded() {
            return this.state.ipfs && this.state.owner
        }
    },
    watch: {
        stateLoaded() {
            this.loadSettings()
        }
    },
    methods: {
        loadSettings: async function () {
            this.ipfsInfo = await this.state.ipfs.id()
        },
    },
    mounted: function () {
        this.loadSettings()
    }
}
</script>
